# Units

enum Units : Enum < Units > (source)

Provides units of time definitions.

## Entries

MINUTE
Link copied to clipboard
MINUTE
HOUR
Link copied to clipboard
HOUR
DAY
Link copied to clipboard
DAY
WEEK
Link copied to clipboard
WEEK
MONTH
Link copied to clipboard
MONTH

## Properties

entries
Link copied to clipboard
val entries : EnumEntries < Units >

Returns a representation of an immutable list of all enum entries, in the order they're declared.

name
Link copied to clipboard
val name : String
ordinal
Link copied to clipboard
val ordinal : Int

## Functions

valueOf
Link copied to clipboard
fun valueOf (value: String ): Units

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
fun values (): Array < Units >

Returns an array containing the constants of this enum type, in the order they're declared.